%global momorel 1
%global artsver 1.5.3
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global kdebaserel 1m
%global kdemultimediarel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global modver 0.5
%global enable_gstreamer 0
%global enable_gcc_check_and_hidden_visibility 0

Summary: A Powerful Media Player For KDE
Name: amarok

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/amarok.specopt and edit it.

## Configuration
%{?!with_mysql:         %global with_mysql                 1}
%{?!with_postgresql:    %global with_postgresql            0}

Version: 1.4.1
Release: %{momorel}m
License: GPL
URL: http://amarok.kde.org/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/amarok/%{name}-%{version}.tar.bz2 4ed6e766541c4227d1d8c8eb93d0b891
%NoSource 1 http://dl.sourceforge.net/sourceforge/amarok/modplug_artsplugin-%{modver}.tar.bz2 8f548dcc6af91bb12e937d12f6570c9a
Source2: %{name}rc
Patch0: %{name}-1.3.4-desktop.patch
Patch1: %{name}-%{version}-set-helix-paths.patch
Patch2: %{name}-%{version}-libvisual020.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdemultimedia >= %{kdever}-%{kdemultimediarel}
Requires: taglib >= 1.4, libtunepimp = 0.4.1, faac
Requires: k3b >= 0.11
Requires: libifp, libgpod, libnjb, ruby
%if %{with_mysql}
Requires: mysql
%endif
%if %{with_postgresql}
Requires: postgresql
%endif
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}
%if %{enable_gstreamer}
BuildPreReq: gstreamer010-devel
%endif
%ifnarch ia64 x86_64
BuildPreReq: HelixPlayer >= 1.0
%endif
BuildPreReq: xine-lib >= 1.0-4m
BuildPreReq: taglib-devel >= 1.4, libtunepimp-devel = 0.4.1
BuildPreReq: faac-devel
BuildPreReq: xmms-devel >= 1.2, libvisual-devel = 0.2.0
BuildPreReq: libifp-devel, libgpod-devel, libnjb-devel
BuildPreReq: SDL-devel >= 1.2.7-11m
BuildPreReq: ruby
BuildPreReq: autoconf, automake
%if %{with_mysql}
BuildPreReq: mysql-devel
%endif
%if %{with_postgresql}
BuildPreReq: postgresql-devel
%endif
%if ! %{enable_gstreamer}
Obsoletes: %{name}-gstreamer < %{version}-%{release}
%endif

%description
Amarok is a media player for all kinds of media, supported by aRts or
GStreamer. This includes MP3, Ogg Vorbis, audio CDs and streams.
It also supports audio effects of all kinds that are provided by aRts.
Playlists can be stored in .m3u or .pls files.

%if %{enable_gstreamer}
%package gstreamer
Summary: GStreamer Output Plugin for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: gstreamer010, gst-plugins-good

%description gstreamer
Amarok media player can play via GStreamer using this plugin.
%endif

%ifnarch ia64 x86_64
%package helix
Summary: Helix/RealPlayer engine for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: HelixPlayer >= 1.0

%description helix
The Helix player engine enables Amarok to play medias via plugins which
may get provided by the Helix player or the RealPlayer from Real Media.
%endif

%package xine
Summary: Xine Output Plugin for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: xine-lib >= 1.0

%description xine
Amarok media player can play via Xine using this plugin.

%package xmms
Summary: XMMS Visual Plugin Support for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: xmms >= 1.2

%description xmms
Xmms visualization plugins can be used with amarok using this package.

%package libvisual
Summary: Libvisual Visual Plugin Support for Amarok
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libvisual-plugins = 0.2.0

%description libvisual
Libvisual visualization plugins can be used with amarok using this package.

%prep
# clean up modplug_artsplugin
rm -rf %{_builddir}/modplug_artsplugin-%{modver}

%setup -q -b 1

%patch0 -p1 -b .desktop~

%ifnarch ia64 x86_64
%patch1 -p1 -b .set_helix_paths
%endif

%patch2 -p1 -b .libvisual020

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%ifnarch ia64 x86_64
export HELIX_LIBS_DIR=%{_libdir}/helix
%endif

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%ifnarch ia64 x86_64
	--with-helix \
%endif
%if %{enable_gstreamer}
	--with-gstreamer10 \
%endif
	--with-libnjb \
	--with-ifp \
	--with-libgpod \
	--with-mp4v2 \
%if %{with_mysql}
	--enable-mysql \
%endif
%if %{with_postgresql}
	--enable-postgresql \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags} -fno-use-cxa-atexit" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install modplug_artsplugin
cd %{_builddir}/modplug_artsplugin-%{modver}
make install DESTDIR=%{buildroot}

# install amarokrc
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/amarok.png %{buildroot}%{_datadir}/pixmaps/amarok.png

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pt pt_BR ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO amarok/HACKING
%{_bindir}/amarok
%{_bindir}/amarok_proxy.rb
%{_bindir}/amarokapp
%{_bindir}/amarokcollectionscanner
%{_libdir}/kde3/kfile_modplug.la
%{_libdir}/kde3/kfile_modplug.so
%{_libdir}/kde3/konqsidebar_universalamarok.la
%{_libdir}/kde3/konqsidebar_universalamarok.so
%{_libdir}/kde3/libamarok_generic-mediadevice.la
%{_libdir}/kde3/libamarok_generic-mediadevice.so
%{_libdir}/kde3/libamarok_ifp-mediadevice.la
%{_libdir}/kde3/libamarok_ifp-mediadevice.so
%{_libdir}/kde3/libamarok_ipod-mediadevice.la
%{_libdir}/kde3/libamarok_ipod-mediadevice.so
%{_libdir}/kde3/libamarok_njb-mediadevice.la
%{_libdir}/kde3/libamarok_njb-mediadevice.so
%{_libdir}/kde3/libamarok_void-engine_plugin.la
%{_libdir}/kde3/libamarok_void-engine_plugin.so
%{_libdir}/mcop/Arts/*.mcopclass
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/amarok.desktop
%{_datadir}/apps/amarok
%{_datadir}/apps/konqsidebartng/add/amarok.desktop
%{_datadir}/apps/konqsidebartng/entries/amarok.desktop
%{_datadir}/apps/konqsidebartng/kicker_entries/amarok.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop
%{_datadir}/apps/profiles/amarok.profile.xml
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/doc/HTML/*/amarok
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/amarok.png
%{_datadir}/services/amarok_generic-mediadevice.desktop
%{_datadir}/services/amarok_ifp-mediadevice.desktop
%{_datadir}/services/amarok_ipod-mediadevice.desktop
%{_datadir}/services/amarok_njb-mediadevice.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/services/kfile_modplug.desktop
%{_datadir}/services/lastfm.protocol
%{_datadir}/servicetypes/amarok_codecinstall.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop

%if %{enable_gstreamer}
%files gstreamer
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_gst10engine_plugin.la
%{_libdir}/kde3/libamarok_gst10engine_plugin.so
%{_datadir}/config.kcfg/gstconfig.kcfg
%{_datadir}/services/amarok_gst10engine_plugin.desktop
%endif

%ifnarch ia64 x86_64
%files helix
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_helixengine_plugin.la
%{_libdir}/kde3/libamarok_helixengine_plugin.so
%{_datadir}/config.kcfg/helixconfig.kcfg
%{_datadir}/services/amarok_helixengine_plugin.desktop
%endif

%files xine
%defattr(-, root, root)
%{_libdir}/kde3/libamarok_xine-engine.la
%{_libdir}/kde3/libamarok_xine-engine.so
%{_datadir}/config.kcfg/xinecfg.kcfg
%{_datadir}/services/amarok_xine-engine.desktop

%files xmms
%defattr(-, root, root)
%{_bindir}/amarok_xmmswrapper2

%files libvisual
%defattr(-, root, root)
%{_bindir}/amarok_libvisual

%changelog
* Mon Jul  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1
- enable_gstreamer 0

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.5m)
- use "make -f admin/Makefile.common cvs"

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.4m)
- Requires: libtunepimp = 0.4.1
- BuildPreReq: libtunepimp-devel = 0.4.1

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.3m)
- amarok-libvisual Requires: libvisual-plugins = 0.2.0 for yum

* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.2m)
- rebuild against libvisual-0.2.0
- add amarok-1.4.1-libvisual020.patch

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.1m)
- update to version 1.4.1-beta1
- enable_gstreamer 1
- update set-helix-paths.patch

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-5m)
- fix symlinks

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-4m)
- rebuild against libtunepimp-0.4.2

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-3m)
- version 1.4.0a

* Thu May 18 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.4-0-2m)
- rebuild against mysql 5.0.22-1m

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0
- enable_gstreamer 0
 - GStreamer-0.10 engine was disabled for this release (not yet stable)

* Tue May  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-0.3.2m)
- disable helix support for x86_64

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.3.1m)
- update to 1.4-beta3
- enable MP4/AAC Tag Write Support
- remove aKode-engine again

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.3m)
- build with new GStreamer (revive amarok-gstreamer)

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.2m)
- build with libakode (add aKode-engine again)

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.1m)
- update to 1.4-beta2
- remove fix-parallel-build.patch
- The aRts and GStreamer-0.8 engines have been removed for being obsolete
  (wait for GStreamer-0.10)

* Wed Feb 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.1.1m)
- update to version 1.4-beta1
- update set-helix-paths.patch
- add fix-parallel-build.patch
- modify specopt (enable to build with PostgreSQL support)
- BuildPreReq: exscalibar-devel, libifp-devel, libgpod-devel
- BuildPreReq: ruby

* Mon Feb 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-3m)
- use specopt (enable to build without MySQL support)
  http://pc8.2ch.net/test/read.cgi/linux/1092539027/599

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-2m)
- add --enable-new-ldflags to configure

* Mon Jan 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-1m)
- version 1.3.8
- update set-helix-paths.patch

* Fri Dec  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.7-1m)
- version 1.3.7

* Mon Dec  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-5m)
- modify and install amarokrc (set Colors and OSD)

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-4m)
- enable MySQL support
- BuildPreReq: mysql-devel
- Requires: MySQL

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-3m)
- rebuild with libtunepimp (enable MusicBrainz support)

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-2m)
- rebuild against KDE 3.5 RC1

* Tue Nov  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-1m)
- version 1.3.6

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-2m)
- fix amarok.desktop

* Tue Oct 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-1m)
- version 1.3.5

* Mon Oct 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.4-1m)
- version 1.3.4
- update desktopfile.patch
- add set-helix-paths.patch
- remove helix-paths.patch

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.3-2m)
- enable ia64.

* Mon Oct 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.3-1m)
- version 1.3.3
- update desktopfile.patch

* Wed Sep 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.2-1m)
- version 1.3.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-2m)
- add --disable-rpath to configure

* Mon Sep  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-1m)
- version 1.3.1

* Mon Aug 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- version 1.3
- add a package amarok-helix

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.3.1m)
- update to 1.3-beta3
- remove aKode-engine from %%files
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.2.1m)
- update to 1.3-beta2

* Sat Jun 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.1.1m)
- update to version 1.3-beta1
- BuildPreReq: kdebase

* Sat May 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Fri May 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-0.1.1m)
- update to version 1.2.4 RC1

* Wed May  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- update amarok-1.2.3-nokdelibsuff.patch
  (do not touch admin/acinclude.m4.in)
- add modplug_artsplugin-0.5-nokdelibsuff.patch

* Wed Mar 30 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.3-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- add aKode-engine
- remove amarok-1.2.2-fix-kde-bug-101524.patch

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- amarok-libvisual Requires: libvisual -> libvisual-plugins

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2
- import amarok-1.2.2-fix-kde-bug-101524.patch from KDE CVS
  see KDE BTS #101524

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-2m)
- rebuild against SDL

* Mon Feb 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-0.4.3m)
- rebuild against gst-plugins xine-lib

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.2m)
- add a package amarok-libvisual

* Mon Jan 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.1m)
- update to 1.2-beta4

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.3.1m)
- update to 1.2-beta3

* Fri Dec 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.2.1m)
- update to 1.2-beta2

* Sun Nov 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.1.1m)
- update to version 1.2-beta1

* Sat Oct  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- remove amarok-1.1-docpath.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- Requires: k3b >= 0.11
- add amarok-1.1-docpath.patch

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.2m)
- rebuild against KDE 3.3.0

* Mon Sep 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.1m)
- update to version 1.1-beta2

* Sun Aug 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-6m)
- modify amarok.desktop for GNOME
- add %%{_datadir}/pixmaps/amarok.png for GNOME

* Fri Aug 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-5m)
- Requires: gst-plugins -> gst-plugins-additional

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-4m)
- add a package amarok-xine

* Sun Aug  8 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-3m)
- change md5sum %%NoSource 0

* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- change make install-strip to install

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Jul  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- use make install-strip

* Fri Jun 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- 1st release
- %%description and package style are imported from SUSE LINUX 9.1

* Thu Jun 17 2004 - adrian@suse.de
- update to version 1.0 final
* Wed Jun 02 2004 - adrian@suse.de
- add modplug_artsplugin version 0.5
* Tue Jun 01 2004 - adrian@suse.de
- update to version 1.0 beta 4
- update translations
* Tue May 11 2004 - adrian@suse.de
- add translations
* Mon May 10 2004 - adrian@suse.de
- add missing %%defattr
* Mon May 10 2004 - adrian@suse.de
- update to version 1.0 beta 3
- add gstreamer support in subpackage
* Fri Apr 23 2004 - adrian@suse.de
- update to version 1.0 beta 2
- use external (fixed) sqlite for 9.1 and newer
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void functions
* Tue Apr 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
- new sub package for xmms visual plugins support
* Sun Mar 07 2004 - adrian@suse.de
- update to version 0.9 final
* Sun Feb 29 2004 - adrian@suse.de
- update to beta3
* Mon Feb 23 2004 - adrian@suse.de
- move menu entry to Audio Players
* Sat Feb 21 2004 - adrian@suse.de
- neededforbuild fix kdemultimedia3-video -> -sound
- disable GStreamer support again (direct crash when using it)
* Sat Feb 21 2004 - adrian@suse.de
- update to beta 2
- enable GStreamer support
* Sun Feb 15 2004 - adrian@suse.de
- initial package of version 0.9 beta 1
